Ul tests aren't reliable
03/11/2017 09:25 AM - Luke Murphey

Status: Closed Start date: 03/11/2017
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7

Description

Associated revisions

Revision 119 - 03/13/2017 07:53 AM - luke.murphey

Making the ping test more reliable

Reference #1781

Revision 120 - 03/13/2017 08:32 AM - luke.murphey

Making the whois tests more reliable

Reference #1781

Revision 121 - 03/13/2017 05:41 PM - lukemurphey

Cleaning up code related to the implicit wait time

Reference #1781

Revision 122 - 03/14/2017 06:51 AM - luke.murphey

Improving test reliability

Reference #1781

Revision 123 - 03/14/2017 07:11 AM - luke.murphey
Updating the test suite

Reference #1781

History

#1 - 03/11/2017 09:29 AM - Luke Murphey

The tests that fail often are:

1. PingChrome (didn't find the result string)

2. NSlookupChrome (waiting for command to show a running state)

3. WakeOnLanChrome (save-host is not clickable, <div class="modal-body form form-horizontal modal-body-scrolling"> would receive the click)
4. *Firefox (the tab link throws ElementNotVisibleException on Windows)

5. WhoisChrome (test froze once)
#2 - 03/13/2017 02:03 AM - Luke Murphey

The ping test appears to be more reliable now. However, Firefox once triggered the warning "Please enter the name of a host to perform the ping
against". This was despite the fact that the address was in the box and it looked like the test started.

#3 - 03/13/2017 07:36 AM - Luke Murphey

http://stackoverflow.com/questions/11908249/debugging-element-is-not-clickable-at-point-error

#4 - 03/13/2017 08:34 AM - Luke Murphey

It seems like reducing the implicit wait to 5 seconds gets the whois test to pass. | now think it would have passed, it was just taking forever because of
the 60x loop times 30 seconds (up to 30 minute runtime).

#5 - 03/16/2017 06:59 AM - Luke Murphey

They seem pretty stable now.
#6 - 03/16/2017 06:59 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
